.wrapper {
  width: 100%;
  height: 100%;

  padding: 0 1em;

  font-size: 10px;
  font-family: "Noto Sans KR";

  white-space: nowrap;
}

.container {
  width: 100%;
  height: 100%;
}

.dashboard-title {
  margin: 0;

  font-size: 1.6em;
  font-weight: 600;
  color: #171725;
}

.update-period {
  margin: 0;

  font-size: 1.5em;
  font-weight: 400;
  color: #9297af;
}

.updated-at {
  font-size: 1.4em;
  color: #9297af;
}

.updated-at .material-icons {
  font-size: 1.6em;
}

.entity-selector {
  width: 15em;
  height: 3em;
  min-width: 100px;
  min-height: 24px;

  border: 1px solid #d7dbec;
  border-radius: 0.5em;
  padding: 0.75em;

  background-color: #fff;

  line-height: 1;
}

.entity-selector .mat-select-value {
  font-family: "Noto Sans KR";
  font-weight: 700;
  font-size: 1.4em;
  color: #131523;
}

.refresh-button {
  width: 2em;
  height: 2em;
  min-width: 24px;
  min-height: 24px;

  border: 1px solid #d7dbec;
  border-radius: 0.25em;

  background-color: #fff;

  cursor: pointer;
}

.refresh-button .material-icons {
  font-size: 1em;
}

.spinner {
  position: relative;

  width: 100%;
  height: 100%;

  animation: 4s rotate infinite linear;
}

@keyframes rotate {
  to {
    transform: rotate(360deg);
  }
}

.circular {
  position: absolute;

  width: 7em;
  height: 7em;

  top: 50%;
  left: 50%;

  transform: translate(-50%, -50%);
}

.circle {
  fill: none;
}

.circular.track .circle {
  stroke: #eee;
  stroke-width: 5;
}

.circular.tracker .circle {
  stroke: #324052;
  stroke-width: 5;
  stroke-linecap: round;
}

.hidden {
  visibility: hidden;

  width: 0;
  height: 0;
}
